/*

Bounce.java

The Bounce class is the applet.  It does initialization, sets up the
user interface, handles user events, and lets the Stage class do
everything else.

*/

import java.awt.*;
import java.lang.*;
import java.applet.*;


public class Bounce extends Applet {

    private Stage stage;
    private boolean gotAudio, useAudio;


    public void init()
    {
        Image     bgImage;
        AudioClip bounceSound = null;
        Image     buffer;

        bgImage = getImage(getCodeBase(), "image/cosmo.gif");

        try {
            bounceSound = getAudioClip(getCodeBase(), "audio/sound.au");
            gotAudio = (bounceSound != null);
        } catch (Exception e) {
            gotAudio = false;
        }
        useAudio = false;

        buffer = createImage(getSize().width, getSize().height);

        stage = new Stage(bgImage, bounceSound, useAudio, buffer);

        setLayout(new BorderLayout());
        add("Center", stage);
        Panel p = new Panel();
        add("South", p);
        p.add(new Button("Add Actor"));
        if (gotAudio) {
            p.add(new Button("Toggle Sound"));
        }
    }


    public void start()
    {
        stage.start();
    }


    public void stop()
    {
        stage.stop();
    }


    public void destroy()
    {
    }


    public boolean action(Event evt, Object arg) {
        if (arg.equals("Add Actor")) {
            stage.addActor();
            return true;
        } else if (arg.equals("Toggle Sound")) {
            useAudio = !useAudio;
            stage.setUseAudio(useAudio);
            return true;
        }
        return false;
    }
}
    
